Get Summary of Survey

This endpoint is used for fetching basic survey data and NPS scores.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "date_shortcut": "all_time"
}

Response attributes

AttributeTypeDescription
surveyobjectSurvey information data.
survey.titlestringSurvey title.
survey.statusstringSurvey status. One of: draft, active
survey.response_ratestringSurvey response rate.
survey.public_hash_idstringSurvey public hash id used to identify survey.
survey.promotersobjectSummary data about promoters from survey answers.
survey.promoters.percentagenumberPercentage of answers that were promoters.
survey.promoters.deltanumberPromoters delta - describing the +/- change for the similar period we measure against.
survey.passivesobjectSummary data about passives from survey answers.
survey.passives.percentagenumberPercentage of answers that were passives.
survey.passives.deltanumberPassives delta - describing the +/- change for the similar period we measure against.
survey.number_of_responsesnumberNumber of answers.
survey.npsobjectSummary data about NPS from survey answers.
survey.nps.percentagenumberThe NPS score.
survey.nps.deltanumberNPS delta - describing the +/- change for the similar period we measure against.
survey.inserted_atdateSurvey creation date.
survey.detractorsobjectSummary data about detractors from survey answers.
survey.detractors.percentagenumberPercentage of answers that were detractors.
survey.detractors.deltanumberDetractors delta - describing the +/- change for the similar period we measure against.
survey.additional_questionsobjectAdditional questions.
survey.additional_questions.optionsarrayList of options to select if type of the question is single_select or multi_select.
survey.additional_questions.positionnumberPosition of the additional question.
survey.additional_questions.public_hash_idstringAdditional question public hash id used to identify.
survey.additional_questions.questionstringContent of the additional question.
survey.additional_questions.typestringAdditional question type. One of: single_select, multi_select, free, scale.
Path Params
string
required

Unique ID of a survey

Query Params
string
Defaults to all_time

Date range for which we want to fetch answers. Allowed values: today, yesterday, last_week, last_month, last_7_days, last_30_days, all_time, custom

date

Parameter required when date_shortcut is set to custom. Filters answers only received after specific datetime. Format: 2021-10-24T03:30:30Z or 2021-10-24

date

Parameter required when date_shortcut is set to custom. Filters answers only received before specific datetime. Format: 2021-10-24T03:30:30Z or 2021-10-24

Headers
string
required
Defaults to Bearer <token>
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json